<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
<body>
	<ui:composition>
		<div class="row box-mb">
			<div class="col-sm-12 text-right">
				<p:commandButton value="Cerrar" oncomplete="PF('dlgModalHistorialRegistro').hide()" styleClass="btn btn-default btn-sensitive btn-buscar" />
			</div>
		</div>
		<p:separator />
		<div class="row box-mb">
			<div class="col-sm-12">
				<label class="control-label"><b><ui:insert name="seccion_historial_registro_titulo">HISTORIAL DE REGISTRO</ui:insert></b></label>
			</div>
		</div>
		<div class="row box-mb">
			
			<p:fieldset>
				<fieldset>
					<p:panel id="MovimientosRegistroPanel" style="border: 0px solid #EDEDED;">
						<div class="row box-mb">
							<div class="col-sm-12 box-table-class">
								<div class="form-group">
									<p:dataTable 
										id="tblConsultas3" 
										var="registro"
										value="#{bandejaSalaDelUsuarioMB.listaHistorialRegistro}"
										rows="10"
										style="text-align:center;" 
										emptyMessage="No existen registros de cambio.">
										<p:column headerText="F. Cambio" style="width:6%;text-aling:center;" >
											<h:outputText value="#{registro.fechaMovimiento}" />
										</p:column>
										<p:column headerText="Tipo Usuario" style="width:6%;">
											<h:outputText value="#{registro.tipoUsuarioBiblioteca}" />
										</p:column>
										<p:column headerText="Tipo Registro" style="width:6%;">
											<h:outputText value="#{registro.tipoRegistro}" />
										</p:column>
										<p:column headerText="Estado" style="width:8%;" >
											<h:outputText value="#{registro.estado}" />
										</p:column>
										<p:column headerText="Vigenc." style="width:6%;">
											<h:outputText value="#{registro.vigencia}" />
										</p:column>
										<p:column headerText="Inicio" style="width:6%;" >
											<h:outputText value="#{registro.fechaInicio}" />
										</p:column>
										<p:column headerText="Fin" style="width:6%;" >
											<h:outputText value="#{registro.fechaFin}" />
										</p:column>
										<p:column headerText="Importe" style="width:4%;" >
											<h:outputText value="#{registro.costo}" />
										</p:column>
										<p:column headerText="Moneda" style="width:4%;" >
											<h:outputText value="#{registro.moneda}" />
										</p:column>
										<p:column headerText="F. Pago" style="width:8%;" >
											<h:outputText value="#{registro.fechaPago}" />
										</p:column>
										<p:column headerText="Rec. Pago" style="width:6%;" >
											<h:outputText value="#{registro.reciboPago}" />
										</p:column>
										<p:column headerText="Suspensión" style="width:8%" >
											<h:outputText value="#{registro.periodoSuspension} #{registro.fechaInicioSuspension} #{registro.fechaFinSuspension}" />
										</p:column>										
										<p:column headerText="Realizado por" style="width:9%;" >
											<h:outputText value="#{registro.nombreUsuarioInterno}" />
										</p:column>
									</p:dataTable>
								</div>
							</div>
						</div>
					</p:panel>
				</fieldset>
			</p:fieldset>
		</div>
	</ui:composition>
</body>
</html>